<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio pais</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<h2>Seleccione un pais</h2>
<form action="tabla.php" method="POST">
<?php
$pais = array('Francia','Italia','Alemania','Rusia');
$villes['Francia'][0] = "París";
$villes['Francia'][1] = "Lión";
$villes['Francia'][2] = "Marsella";
$villes['Italia'][0] = "Roma";
$villes['Italia'][1] = "Milan";
$villes['Italia'][2] = "Napoles";
$villes['Alemania'][0] = "Berlín";
$villes['Alemania'][1] = "Munich";
$villes['Alemania'][2] = "Francfort";
$villes['Rusia'][0] = "Moscú";
$villes['Rusia'][1] = "San-Peterbusgo";
$villes['Rusia'][2] = "Nizhny-Novgorod";
?>
pais:<select name="pais" >
<?php
if (isset($_POST['pais'])) {
	$pais_seleccionado = $_POST['pais'];
}
else {
	$pais_seleccionado = "Francia";
}

foreach ($pais as $valor) {
	if ($valor == $pais_seleccionado) {
		echo "<option value='".$valor."' selected='selected' >".$valor."</option>";
	}
	else {
		echo "<option value='".$valor."'>".$valor."</option>";
	}
}
?>
</select>
<br />
<div>
<?php
foreach ($villes as $clave => $valor) {
	if ($clave == $pais_seleccionado) {
		foreach ($valor as $valor_seleccionado) {
			echo $valor_seleccionado."<br />";
		}	
	}	
}
?>
</div>
<br />
<input type="submit" name="enviar" value="comprobar"/>
</form>
</body>
</html>
